SUSE SLES12 Security Update : php7 (SUSE-SU-2017:2303-1)

high Nessus プラグイン ID 120003

言語:

New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このphp7の更新では、次の問題を修正します:

- CVE-2016-10397:parse_url()をバイパスして、偽のホストを返す可能性があります。(bsc#1047454)

- CVE-2017-11142:リモート攻撃者は、main/php_variablesに関連する長いフォーム変数を注入することで、CPU消費によるサービス拒否攻撃を引き起こす可能性があります。
(bsc#1048100)

- CVE-2017-11144:opensslextension PEMシーリングコードは、OpenSSL sealingfunctionの戻り値をチェックしなかったため、クラッシュが発生する可能性があります。
(bsc#1048096)

- CVE-2017-11145:timelib_meridian coudに境界チェックがないため、情報漏洩が発生する可能性があります。
(bsc#1048112)

- CVE-2017-11146:timelib_meridian解析コードに境界チェックがないため、情報漏洩が発生する可能性があります。(bsc#1048111)

- CVE-2017-11147:悪意のあるアーカイブファイルを提供する攻撃者がPHARアーカイブハンドラーを使用して、PHPインタープリターをクラッシュさせたり、情報を漏洩させたりする可能性があります。
(bsc#1048094)

- CVE-2017-11628:zend_ini_do_op()でのスタックベースのdbufferオーバーフローにより、サービス拒否が発生する可能性があります(bsc#1050726)

- CVE-2017-7890:gdImageCreateFromGifCtx関数における初期化されていないデータからのバッファオーバーリードにより、サービス拒否が発生する可能性があります(bsc#1050241)

- CVE-2016-5766:ヒープオーバーフローを引き起こす_gd2GetHeader()の整数オーバーフローにより、サービス拒否またはコード実行が引き起こされる可能性があります(bsc#986386)その他の修正:

- 参照付きのSOAPリクエスト(bsc#1053645)

- php7-pearは、php7-pear-Archive_Tarを明示的に要求する必要があります。このようにしない場合は、この依存関係をすべてのphp7-pear-*パッケージで明示的に宣言する必要があります。
[bnc#1052389]

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、新たな問題を持ち込まずに、できる限り自動的に整理して書式設定するようにしています。

ソリューション

この SUSE セキュリティ更新をインストールするには、YaST online_update を使用してください。
別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Software Development Kit 12-SP3:zypper in -t patch SUSE-SLE-SDK-12-SP3-2017-1417=1

SUSE Linux Enterpriseソフトウェア開発キット12-SP2:zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-1417=1

SUSE Linux Enterprise Module for Web Scripting 12:zypper in -t patch SUSE-SLE-Module-Web-Scripting-12-2017-1417=1

お使いのシステムを最新の状態にするには、「zypper パッチ」を使用してください。

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=986386

https://www.suse.com/security/cve/CVE-2016-5766/

https://bugzilla.suse.com/show_bug.cgi?id=1047454

https://bugzilla.suse.com/show_bug.cgi?id=1048094

https://bugzilla.suse.com/show_bug.cgi?id=1048096

https://bugzilla.suse.com/show_bug.cgi?id=1048111

https://bugzilla.suse.com/show_bug.cgi?id=1048112

https://bugzilla.suse.com/show_bug.cgi?id=1050241

https://bugzilla.suse.com/show_bug.cgi?id=1050726

https://www.suse.com/security/cve/CVE-2016-10397/

https://www.suse.com/security/cve/CVE-2017-11144/

https://www.suse.com/security/cve/CVE-2017-11145/

https://www.suse.com/security/cve/CVE-2017-11146/

https://www.suse.com/security/cve/CVE-2017-11147/

https://www.suse.com/security/cve/CVE-2017-11628/

https://www.suse.com/security/cve/CVE-2017-7890/

https://bugzilla.suse.com/show_bug.cgi?id=1048100

https://bugzilla.suse.com/show_bug.cgi?id=1052389

https://bugzilla.suse.com/show_bug.cgi?id=1053645

https://www.suse.com/security/cve/CVE-2017-11142/

http://www.nessus.org/u?9326f566

プラグインの詳細

深刻度: High

ID: 120003

ファイル名: suse_SU-2017-2303-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2019/1/2

更新日: 2021/1/6

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2017-11628

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:2.3:o:novell:suse_linux:12:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:apache2-mod_php7:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:apache2-mod_php7-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-bcmath:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-bcmath-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-bz2:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-bz2-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-calendar:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-calendar-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-ctype:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-ctype-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-curl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-curl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-dba:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-dba-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-dom:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-dom-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-enchant:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-enchant-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-exif:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-exif-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-fastcgi:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-fastcgi-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-fileinfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-fileinfo-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-fpm:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-fpm-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-ftp:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-ftp-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-gd:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-gd-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-gettext:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-gettext-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-gmp:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-gmp-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-iconv:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-iconv-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-imap:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-imap-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-intl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-intl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-json:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-json-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-ldap:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-ldap-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-mbstring:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-mbstring-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-mcrypt:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-mcrypt-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-mysql:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-mysql-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-odbc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-odbc-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-opcache:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-opcache-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-openssl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-openssl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-pcntl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-pcntl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-pdo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-pdo-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-pgsql:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-pgsql-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-phar:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-phar-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-posix:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-posix-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-pspell:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-pspell-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-shmop:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-shmop-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-snmp:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-snmp-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-soap:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-soap-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sockets:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sockets-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sqlite:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sqlite-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sysvmsg:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sysvmsg-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sysvsem:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sysvsem-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sysvshm:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-sysvshm-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-tokenizer:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-tokenizer-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-wddx:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-wddx-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-xmlreader:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-xmlreader-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-xmlrpc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-xmlrpc-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-xmlwriter:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-xmlwriter-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-xsl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-xsl-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-zip:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-zip-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-zlib:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:php7-zlib-debuginfo:*:*:*:*:*:*:*

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2017/8/30

脆弱性公開日: 2016/8/7

参照情報

CVE: CVE-2016-5766, CVE-2016-10397, CVE-2017-11144, CVE-2017-11145, CVE-2017-11146, CVE-2017-11147, CVE-2017-11628, CVE-2017-7890, CVE-2017-11142